import datetime

from mongoengine import *


class Material(Document):

    date = DateTimeField(default=datetime.datetime.now,
                         wtf_options={"render_kw": {
                             "step": "60"
                         }})

    tags = ListField(StringField())

    meta = {
        'allow_inheritance': True,
        'index_opts': {},
        'index_background': True,
        'index_cls': False,
        'auto_create_index': True,
        'collection': 'materials'
    }


class Asphalt(Material):

    name = StringField()
    material = StringField()

    young_modulus = DictField()


class Bitumen(Material):

    name = StringField()
    material = StringField()

    young_modulus = DictField()


class Epoxy(Material):
    name = StringField()
    material = StringField()

    young_modulus = DictField()


class Dummy(Material):

    name = StringField()
    material = StringField()

    young_modulus = DictField()
