from setuptools import setup
from sphinx.setup_command import BuildDoc

cmdclass = {'build_sphinx': BuildDoc}

name = 'PyTestPavement'
version = '0.01'
release = '0.0.1'
setup(
    name=name,
    author='Markus Clauß',
    author_email='markus.clauss@tu-dresden.de',
    version=release,
    cmdclass=cmdclass,
    # these are optional and override conf.py settings
    command_options={
        'build_sphinx': {
            'project': ('setup.py', name),
            'version': ('setup.py', version),
            'release': ('setup.py', release),
            'source_dir': ('setup.py', 'doc')
        }
    },
    install_requires=['lmfit', 'pandas', 'numpy', 'scipy', 'mongoengine'],
    packages=['pytestpavement'],
)
